Loading...
Searching...
No Matches
config.h File Reference
`#include <stdint.h>`
`#include "arc/std/string.h"`

Go to the source code of this file.

## Typedefs

typedef struct ARC_Config | ARC_Config
| a type that keeps permanice of data for when loading and unloading config files

## Functions

void | ARC_AudioConfig_Init (ARC_Config *config)
uint8_t | ARC_Audio_Read (ARC_Config *config, ARC_String *string, void **value)
void | ARC_Audio_Delete (ARC_Config *config, ARC_String *string, void *value)

## Typedef Documentation

## ARC_Config

typedef struct ARC_Config ARC_Config

a type that keeps permanice of data for when loading and unloading config files

Definition at line 11 of file config.h.

## Function Documentation

## ARC_Audio_Delete()

void ARC_Audio_Delete | ( | ARC_Config * | config,
|  | ARC_String * | string,
|  | void * | value )

## ARC_Audio_Read()

uint8_t ARC_Audio_Read | ( | ARC_Config * | config,
|  | ARC_String * | string,
|  | void ** | value )

## ARC_AudioConfig_Init()

void ARC_AudioConfig_Init | ( | ARC_Config * | config | ) |